> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-fetch-api.md).

# BILL FETCH API

#### <mark style="color:blue;">REQUEST PARAMETERS</mark>

The various parameters are explained below:

<table data-full-width="true"><thead><tr><th width="151">Parent Property/Element</th><th width="149">Property Name</th><th width="125">Mandatory</th><th width="121">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>refId</td><td>M</td><td>Alphanumeric Format: Fixed Length – 35</td><td>Unique identification assigned by the initiating BBPOU to unambiguously identify the transaction which is passed on, unchanged, throughout the entire end-to-end chain, binding the Fetch and Payment messages</td></tr><tr><td></td><td>billerId</td><td>M</td><td>String Fixed Length – 14</td><td>Unique identification code allocated to the Biller (by NPCI)</td></tr><tr><td></td><td>customerParams</td><td>M</td><td>Array of name value pairs</td><td>Customer bill fetch related reference field tag</td></tr><tr><td></td><td>tenantId</td><td>M</td><td>String Fixed length - 4</td><td>OU ID of the BOU</td></tr><tr><td></td><td>name</td><td>M</td><td>String Min Length – 1, Max Length – 100</td><td><p>Customer bill fetch related reference field.</p><p>Name of the reference field as</p><p>configured for the Biller</p></td></tr><tr><td></td><td>value</td><td>M</td><td>String Min Length – 1, Max Length – 100</td><td>Value of the reference field which uniquely identifies the customer for the Biller</td></tr></tbody></table>

<mark style="color:blue;">**Expected Acknowledgement Parameters**</mark>

*The various parameters are explained below:*

| Parent Property/Element                | Property Name | Mandatory | Data Type                               |                             |
| -------------------------------------- | ------------- | --------- | --------------------------------------- | --------------------------- |
| \[ROOT] (No parent property / element) | reason        | M         | String Min Length – 1, Max Length – 100 | Reason of the Status        |
|                                        | code          | M         | String Fixed Length 3                   | Response code for a request |
|                                        | status        | M         | String Min Length – 1, Max Length – 100 | Status of given request     |

<details>

<summary><mark style="color:blue;">Json Formatted Request Example</mark></summary>

{

&#x20;"refId": "String", "billerId:": "String", "customerParams": \[ { "name": "String", "value": "String" } ], "tenantId" : "String"&#x20;

}

</details>

<details>

<summary><mark style="color:blue;">Json Formatted Response Example</mark></summary>

{

&#x20;"reason":"String", "code":"Integer", "status":"String"

}

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-fetch-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
